Subject: 46dcfc8 (ARM: Update mach-types) removes used machine types

From: [email-masked] (Marek Vasut)
Date: Mon, 22 Aug 2011 15:36:12 +0200

On Monday, August 22, 2011 03:32:42 PM Russell King - ARM Linux wrote:
> On Mon, Aug 22, 2011 at 03:30:41PM +0200, Marek Vasut wrote:
> > On Monday, August 22, 2011 03:27:19 PM Russell King - ARM Linux wrote:
> > > On Mon, Aug 22, 2011 at 03:16:00PM +0200, Marek Vasut wrote:
> > > > On Monday, August 22, 2011 03:01:19 PM Russell King - ARM Linux wrote:
> > > > > For further reading, see:
> > > > > http://lists.arm.linux.org.uk/lurker/message/20110815.085325.ae6ee0
> > > > > 7d.e n.ht ml
> > > > 
> > > > Russell, calm down please.
> > > > 
> > > > Maybe it'd be better to just email the people with broken stuff, then
> > > > wait ... if they don't reply in a week (two weeks?) then remove their
> > > > stuff. And make that a policy.
> > > > 
> > > > What do you think ?
> > > 
> > > Who do I email?  Which entries are causing problems?  That's the whole
> > > bloody point.
> > 
> > Isn't the email in your database? You can't just script that ?
> > 
> > > There's just far too much of it.  The amount of effort required to sort
> > > through this file each time it needs to be updated has become
> > > *excessive*. The amount of effort required to go through the file and
> > > identify which entries are broken is *excessive*.  The amount of
> > > effort required to find who to email is *excessive*.
> > 
> > Why not write a script for that ?
> 
> No, I don't have the time at present.

You're the head maintainer here and ARM is a rising architecture. If you can't 
cope with that, you have a growing community of very competent people here. 
Maybe someone will be willing to take over eventually? It'll relieve some 
pressure from you too, what do you think?